Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7865 - ppp-watch too intrusive.
Summary: ppp-watch too intrusive.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-17 10:02 UTC by Neil Darlow
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-03-20 16:22:17 UTC


Attachments (Terms of Use)

Description Neil Darlow 1999-12-17 10:02:10 UTC
The use of ppp-watch in ifup-ppp overrides expected use of "ifup ppp?".

Most annoyingly, it results in a persistent connection which most casual
ppp users don't want. They either want manual control or on-demand.

Additionally, ppp-watch is exec'd which results in ifup not returning
and being listed as <defunct> in the process table until it is killed by
a subsequent "ifdown ppp?".

Would it not be better to only invoke ppp-watch if PERSIST=yes is present
in ifcfg-ppp? and likewise make the same check in ifdown-ppp before
killing ppp-watch?

I also believe that ppp-watch should be started normally and followed by
an exit to permit ifup to return as it does when used for other interfaces.

Comment 1 Bill Nottingham 2000-03-20 16:22:59 UTC
ppp-watch is intended to support a non-persistent connection
that reconnects on errors; it isn't supposed to be regular
'persistent' connections. The version that shipped with 6.1
did have some bugs in it that could cause odd behavior; you
should probably upgrade to the errata.


Note You need to log in before you can comment on or make changes to this bug.